<?php
namespace Claromentis\OAuth2;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_70995c4fd2bc" . "cfc9acaf06d84" . "44852c7" => base64_decode("SU5TRVJUIElOVE8gb2F1dGhfY2xpZW50X3JlZGlyZWN0X3VyaXMgKGNsaWVudF9pZCwgcmVkaXJlY3RfdXJpK" . "SBWQUxVRVMgKHN0cjpjaWQsIHN0cjp1KQ=="), "_653c065" . "ce13fcc8" . "98c85e35" . "e3f0ab5b" . "c" => base64_decode("c2VjcmV" . "0"), "_7f62862" . "6dd1d55c" . "71b1fc09" . "32ffd1d2" . "c" => base64_decode("aXNfYXJyYXk" . "="), "_a591754a8ddcdbda9c80f1db4d" . "911e14" => base64_decode("aXNfbnVsb" . "A=="), "_803d546c35dc6b" . "b74c3cd32b95fca" . "c3e" => base64_decode("U0VMRUNUIHJlZGlyZWN0X3VyaSBGUk9NIG9hdXRoX2NsaWVudF9yZWRpcmVjdF91cmlzIFdIRVJFIGNsaWVudF9pZCBlcTpzdHI6" . "Y2lk"), "_8ff0c68bbee5fe19849c7f82cd0" . "d6a0f" => base64_decode("cmVkaXJl" . "Y3RfdXJp" . "cw=="), "na" . "me" => base64_decode("bmFt" . "ZQ=="), "_2fcdfa6cef4413005aae9ae3df6426e" . "2" => base64_decode("b2F1dG" . "hfY2xp" . "ZW50cw" . "=="), "_c372545d70ea3c51062f75445d68792" . "9" => base64_decode("REVMRVRFIEZST00gb2F1dGhfY2xpZW50X3JlZGlyZWN0X3VyaXMgV0h" . "FUkUgY2xpZW50X2lkIGVxOnN0cjpjaWQ="), "i" . "d" => base64_decode("aWQ" . "="));
use Claromentis\Core\DAL;
use Claromentis\Core\Services;
use ObjectsStorage;










class Client extends \ActiveRecord
{
    protected $redirect_uris = null;
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_2fcdfa6cef4413005aae9ae3df64" . "26e2"], $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["i" . "d"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["na" . "me"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_653c065ce13fc" . "c898c85e35e3f0" . "ab5bc"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function GetRedirectURIs()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_a591754a8" . "ddcdbda9c8" . "0f1db4d911" . "e14"]($this->redirect_uris)) {
            $db = Services::I()->GetDb();
            $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_803d546c35dc6bb74c3" . "cd32b95fcac3e"], $this->id);
            $this->redirect_uris = $_189840d11056515e52402d1412a0b6e4->fetchAllValues();
        }
        return $this->redirect_uris;
    }
    
    
    
    
    public function SetRedirectURIs($_688eb32b375d969d8f026c11a2cd33ea)
    {
        $this->redirect_uris = $_688eb32b375d969d8f026c11a2cd33ea;
    }
    public function Save()
    {
        if (!parent::Save()) {
            return false;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7f628626dd1d55c71b1fc0932ffd1d" . "2c"]($this->redirect_uris)) {
            $db = Services::I()->GetDb();
            $_15afa2d452391af5d01076584c0d792a = $this->id;
            $db->query($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c372545d70" . "ea3c51062f7" . "5445d687929"], $_15afa2d452391af5d01076584c0d792a);
            foreach ($this->redirect_uris as $_797ea62e9ab498d38c2781088fc553f6) {
                $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_70995c4fd2bccfc9acaf06d8" . "444852c7"], $_15afa2d452391af5d01076584c0d792a, $_797ea62e9ab498d38c2781088fc553f6);
            }
        }
        return true;
    }
    public function ResetSecret()
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_653c065ce13fcc898c85e35e3f0ab5" . "bc"], \CryptUtils::GetRandomString());
    }
    public static function CreateNew($_24b81fd345b39bff8a1dfa1607826ec3)
    {
        
        
        $client = static::Create([$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["i" . "d"] => \CryptUtils::GetRandomString() . \CryptUtils::GetRandomString(), $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_653c065ce13fcc898c85e35e" . "3f0ab5bc"] => \CryptUtils::GetRandomString(), $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["na" . "me"] => $_24b81fd345b39bff8a1dfa1607826ec3[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["nam" . "e"]]]);
        $client->SetRedirectURIs($_24b81fd345b39bff8a1dfa1607826ec3[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8ff0c68b" . "bee5fe198" . "49c7f82cd" . "0d6a0f"]]);
        return $client;
    }
}